<?php

// Canvia espais en blanc per &nbsp; i final de línea per <br>
function format_text ($text){
  return str_replace("  ","&nbsp;&nbsp;", str_replace("\n","<br>", $text));
}

// Canvia &nbsp; per espais en blanc i <br> per finals de línea
function unformat_text ($text){
  return str_replace("&nbsp;&nbsp;","  ", str_replace("<br>","\n", $text));
}

// Filtra html excepte <b><i><u><a>
function format_html ($html){
  return strip_tags($html, '<b><i><u><a>');
}

// Canvia espais en blanc per &nbsp; i final de línea per <br>
// Filtra html excepte <b><i><u><a>
function format_all($all){
  // Substituim quan hi han 2 espais seguits, si substituim d'un en un tindrem
  // problemes pq el navegador ficarŕ tot el paragraf en 1 linea.
  return str_replace("  ","&nbsp;&nbsp;", str_replace("\n","<br>", strip_tags($all,
  '<b><i><u><a>')));
}

// Canvia &nbsp; per espais en blanc i <br> per finals de línea
// i treu html
function unformat_all($all){
//  return strip_tags(str_replace("&nbsp;&nbsp;","  ", str_replace("\n","\n", $all)));
  return strip_tags(str_replace("&nbsp;&nbsp;","  ", $all));
}

// Canvia &nbsp; per espais en blanc i <br> per finals de línea
// Util per l'edició.
function unformat_less($all){
  return strip_tags(str_replace("&nbsp;&nbsp;","  ", str_replace("<br>","\n", $all)),
  '<b><i><u><a>');
}

?>
